/**
 * generated by Xtext 2.12.0
 */
package fr.n7.pDL1;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Process</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.n7.pDL1.Process#getName <em>Name</em>}</li>
 *   <li>{@link fr.n7.pDL1.Process#getProcessElement <em>Process Element</em>}</li>
 * </ul>
 *
 * @see fr.n7.pDL1.PDL1Package#getProcess()
 * @model
 * @generated
 */
public interface Process extends EObject
{
  /**
   * Returns the value of the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Name</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name</em>' attribute.
   * @see #setName(String)
   * @see fr.n7.pDL1.PDL1Package#getProcess_Name()
   * @model
   * @generated
   */
  String getName();

  /**
   * Sets the value of the '{@link fr.n7.pDL1.Process#getName <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name</em>' attribute.
   * @see #getName()
   * @generated
   */
  void setName(String value);

  /**
   * Returns the value of the '<em><b>Process Element</b></em>' containment reference list.
   * The list contents are of type {@link fr.n7.pDL1.ProcessElement}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Process Element</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Process Element</em>' containment reference list.
   * @see fr.n7.pDL1.PDL1Package#getProcess_ProcessElement()
   * @model containment="true"
   * @generated
   */
  EList<ProcessElement> getProcessElement();

} // Process
